[BACK]Return to ipfilter CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src / etc / rc.d

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /src/etc/rc.d/ipfilter between version 1.4.4.2 and 1.5

version 1.4.4.2, 2000/10/02 00:37:08 version 1.5, 2000/07/17 12:58:14
Line 9 
Line 9 
 . /etc/rc.subr  . /etc/rc.subr
   
 name="ipfilter"  name="ipfilter"
 rcvar=$name  
 start_precmd="ipfilter_prestart"  start_precmd="ipfilter_prestart"
 start_cmd="ipfilter_start"  start_cmd="ipfilter_start"
 stop_precmd="test -f /etc/ipf.conf -o -f /etc/ipf6.conf"  stop_precmd="checkyesno ipfilter && [ -f /etc/ipf.conf ]"
 stop_cmd="ipfilter_stop"  stop_cmd="ipfilter_stop"
 reload_precmd="$stop_precmd"  reload_precmd="$stop_precmd"
 reload_cmd="ipfilter_reload"  reload_cmd="ipfilter_reload"
Line 22  extra_commands="reload status"
Line 21  extra_commands="reload status"
   
 ipfilter_prestart()  ipfilter_prestart()
 {  {
         if [ ! -f /etc/ipf.conf -a ! -f /etc/ipf6.conf ]; then          if ! checkyesno ipfilter; then
                 warn "/etc/ipf*.conf not readable; ipfilter start aborted."                  return 1
                         #          fi
                         # If booting directly to multiuser, send SIGTERM to          if [ ! -f /etc/ipf.conf ]; then
                         # the parent (/etc/rc) to abort the boot                  warn "/etc/ipf.conf not readable; ipfilter start aborted."
                         #  
                 if [ "$autoboot" = yes ]; then  
                         echo "ERROR: ABORTING BOOT (sending SIGTERM to parent)!"  
                         kill -TERM $$  
                         exit 1  
                 fi  
                 return 1                  return 1
         fi          fi
         return 0          return 0
Line 41  ipfilter_prestart()
Line 34  ipfilter_prestart()
 ipfilter_start()  ipfilter_start()
 {  {
         echo "Enabling ipfilter."          echo "Enabling ipfilter."
         /sbin/ipf -E -Fa          /sbin/ipf -E -Fa -f /etc/ipf.conf
         if [ -f /etc/ipf.conf ]; then  
                 /sbin/ipf -f /etc/ipf.conf  
         fi  
         if [ -f /etc/ipf6.conf ]; then  
                 /sbin/ipf -6 -f /etc/ipf6.conf  
         fi  
 }  }
   
 ipfilter_stop()  ipfilter_stop()
Line 59  ipfilter_stop()
Line 46  ipfilter_stop()
 ipfilter_reload()  ipfilter_reload()
 {  {
         echo "Reloading ipfilter rules."          echo "Reloading ipfilter rules."
           /sbin/ipf -I -Fa -f /etc/ipf.conf
         /sbin/ipf -I -Fa          if [ $? -eq 0 ]; then
         if [ -f /etc/ipf.conf ] && ! /sbin/ipf -I -f /etc/ipf.conf; then                  /sbin/ipf -s
                 err 1 "reload of ipf.conf failed; not swapping to new ruleset."          else
         fi                  warn "Reload failed; not swapping to new ruleset."
         if [ -f /etc/ipf6.conf ] && ! /sbin/ipf -I -6 -f /etc/ipf6.conf; then  
                 err 1 "reload of ipf6.conf failed; not swapping to new ruleset."  
         fi          fi
         /sbin/ipf -s  
 }  }
   
 ipfilter_status()  ipfilter_status()

Legend:
Removed from v.1.4.4.2  
changed lines
  Added in v.1.5

CVSweb <webmaster@jp.NetBSD.org>